import request from '@/utils/request'

// 查询公告列表
export function listNotice(query) {
  return request({
    url: '/system/notice/list',
    method: 'get',
    params: query
  })
}
//用户消息列表展示
export function listNoticeByNotice(data) {
  return request({
    url: '/system/notice/userList',
    method: 'post',
    params: data
  })
}




// 查询公告详细
export function getNotice(noticeId) {
  return request({
    url: '/system/notice/' + noticeId,
    method: 'get'
  })
}
// 查询公告详细和阅读量
export function getNoticeAndCount(noticeId) {
  return request({
    url: '/system/notice/' + noticeId,
    method: 'post'
  })
}

// 阅读文件
export function readNotice(noticeId) {
  return request({
    url: '/system/notice/'+noticeId,
    method: 'put',
  })
}

// 新增公告
export function addNotice(data) {
  return request({
    url: '/system/notice',
    method: 'post',
    data: data
  })
}

// 修改公告
export function updateNotice(data) {
  return request({
    url: '/system/notice',
    method: 'put',
    data: data
  })
}

// 删除公告
export function delNotice(noticeId) {
  return request({
    url: '/system/notice/' + noticeId,
    method: 'delete'
  })
}
